﻿using System.Collections.ObjectModel;
using Syncfusion.UI.Xaml.Maps;

namespace SyncFusionMapWpf
{
    public class MainViewModel
    {
        public ObservableCollection<MapLayer> MapLayers { get; private set; }

        public MainViewModel()
        {
            MapLayers = new ObservableCollection<MapLayer>
            {
                new ShapeFileLayer
                {
                    Uri = "SyncFusionMapWpf.ShapeFiles.NLD_adm0.shp",
                    SubShapeFileLayers = new ObservableCollection<SubShapeFileLayer>
                    {
                        new SubShapeFileLayer { Uri = "SyncFusionMapWpf.ShapeFiles.NLD_adm1.shp"},
                        new SubShapeFileLayer { Uri = "SyncFusionMapWpf.ShapeFiles.roads.shp"},
                    },
                },
            };
        }
    }
}